Page MenuHomePhabricator

Run refreshLinks.php on WMF wikis
Closed, ResolvedPublic

Description

Please run refreshLinks.php on all Wikimedia wikis.


Version: unspecified
Severity: minor

Details

Reference
bz16658

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:28 PM
bzimport set Reference to bz16658.
bzimport added a subscriber: Unknown Object (MLST).
brion added a comment.Dec 16 2008, 1:42 AM

Quick note -- the bit in refreshLinks that deletes link entries for pages that no longer exist needs to be fixed so it works in the replicated environment. Other than that I think it'll all be fine. :D

(Double-check if there's any other updates that should be batch-run other than the cleanup scripts which are currently running...)

aaron added a comment.Dec 29 2008, 7:28 PM

What is this bug for? general cleanup?

Yes. It's a shell bug specific to Wikimedia.

refreshLinks.php is single-threaded and would probably take over a year to run on all Wikimedia wikis. It's not appropriate for this use anymore. I've run maintenance/gearman/gearmanRefreshLinks.php on most of the larger wikis, which does some of the tasks that refreshLinks.php used to do. If you have some particular problem that you think needs fixing, you'd better say so, so that we can make sure that the new script does it. Some prioritisation hints would also be nice.

brion added a comment.Mar 20 2009, 7:06 PM

I'm actually gonna mark this one FIXED since the refreshes have been done, just with a different script. :)